/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.common.dto;

import jp.mosp.common.common.BaseDto;

/**
 * @author yoshida
 *
 */
public class MCodeDto extends BaseDto {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	// フィールド
	private String				tid					= "";
	private String				tcode				= "";
	private String				tname				= "";
	private String				tchange				= "";
	

	/**
	 * コンストラクタ
	 */
	public MCodeDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return tid
	 */
	public String getTId() {
		return tid;
	} // コード名
	
	/**
	 * @return コード
	 */
	public String getTCode() {
		return tcode;
	}
	
	/**
	 * @return コード名称
	 */
	public String getTName() {
		return tname;
	}
	
	/**
	 * @return コード変換
	 */
	public String getTChange() {
		return tchange;
	}
	
	/**
	 * @param tid コード名
	 */
	public void setTId(String tid) {
		this.tid = tid;
	}
	
	/**
	 * @param tcode コード
	 */
	public void setTCode(String tcode) {
		this.tcode = tcode;
	}
	
	/**
	 * @param tname コード名称
	 */
	public void setTName(String tname) {
		this.tname = tname;
	}
	
	/**
	 * @param tchange コード変換
	 */
	public void setTChange(String tchange) {
		this.tchange = tchange;
	}
	
}
